> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Status

> Poll the status of a previously submitted report job and retrieve the download URL once the job completes.



## OpenAPI

````yaml openapi/zeal-api.json get /reports
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports:
    get:
      summary: Get Job Status
      description: Get status for a job.
      operationId: get-job-status
      parameters:
        - name: job_id
          in: query
          description: >-
            Job ID returned in the POST response for whatever report was
            created.
          required: true
          schema:
            type: string
        - name: companyID
          in: query
          description: Zeal Company ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              path: /orders-4
            examples:
              Request Example:
                value:
                  job_id: 76f8a4e0-f2a0-4dc0-9a1c-215e083de5eb
                  companyID: fc235f012bae46aa8a082f357715bcfa
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: 7g88a4e0-f2a0-4dc0-9a1c-215e083de5eb
                      status: complete
                      created_at: '2023-12-25T18:52:43.138Z'
                      request_body:
                        start_date: '2023-12-01'
                        end_date: '2023-12-09'
                        company_id: fc235f012bae46aa8a082f357715bcfa
                        media_type: csv
                        has_live_key: true
                        report_format: payroll_journal
                      payload: >-
                        https://api.zeal.com/reports/downloads/7g88a4e0-f2a0-4dc0-9a1c-215e083de5eb
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: 7g88a4e0-f2a0-4dc0-9a1c-215e083de5eb
                      status:
                        type: string
                        example: complete
                      created_at:
                        type: string
                        example: '2023-12-25T18:52:43.138Z'
                      request_body:
                        type: object
                        properties:
                          start_date:
                            type: string
                            example: '2023-12-01'
                          end_date:
                            type: string
                            example: '2023-12-09'
                          company_id:
                            type: string
                            example: fc235f012bae46aa8a082f357715bcfa
                          media_type:
                            type: string
                            example: csv
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          report_format:
                            type: string
                            example: payroll_journal
                      payload:
                        type: string
                        example: >-
                          https://api.zeal.com/reports/downloads/7g88a4e0-f2a0-4dc0-9a1c-215e083de5eb
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Must provide a valid companyID
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Must provide a valid companyID
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````